import type { AnonCredsRegistry } from './services';
/**
 * @public
 * AnonCredsModuleConfigOptions defines the interface for the options of the AnonCredsModuleConfig class.
 */
export interface AnonCredsModuleConfigOptions {
    /**
     * A list of AnonCreds registries to make available to the AnonCreds module.
     */
    registries: [AnonCredsRegistry, ...AnonCredsRegistry[]];
}
/**
 * @public
 */
export declare class AnonCredsModuleConfig {
    private options;
    constructor(options: AnonCredsModuleConfigOptions);
    /** See {@link AnonCredsModuleConfigOptions.registries} */
    get registries(): [AnonCredsRegistry, ...AnonCredsRegistry[]];
}
